#-------------------------------------------------
#
# Project created by QtCreator 2018-05-17T16:40:31
#
#-------------------------------------------------

QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = Visualisierung2
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += $$PWD/lib

SOURCES += \
    src/FileReader.cpp \
    src/Main.cpp \
    src/MainWindow.cpp \
    src/Volume.cpp \
    src/GLRenderWidget.cpp

HEADERS += \
    src/FileReader.h \
    src/MainWindow.h \
    src/Volume.h \
    src/Renderable.h \
    src/GLRenderWidget.h

FORMS += \
    res/MainWindow.ui

CONFIG(release, debug|release): DESTDIR = $$OUT_PWD/release
CONFIG(debug, debug|release): DESTDIR = $$OUT_PWD/debug

#LibFiles.path = $$DESTDIR
#LibFiles.files += $$files(lib/qt/*.lib)
#LibFiles.files += $$files(lib/glew/*.lib)

# Deployment - Automatically Detect and Copy Dependencies to Build Folder

TARGET_CUSTOM_EXT = .exe
DEPLOY_COMMAND = windeployqt

CONFIG( debug, debug|release ) {
    # debug
    DEPLOY_TARGET = $$shell_quote($$shell_path($${OUT_PWD}/debug/$${TARGET}$${TARGET_CUSTOM_EXT}))
} else {
    # release
    DEPLOY_TARGET = $$shell_quote($$shell_path($${OUT_PWD}/release/$${TARGET}$${TARGET_CUSTOM_EXT}))
}

# Uncomment the following line to help debug the deploy command when running qmake
#warning($${DEPLOY_COMMAND} $${DEPLOY_TARGET})

#QMAKE_PRE_LINK += copy /Y $$shell_path($$PWD)\lib\glew\glew32.dll $$shell_path($$DESTDIR)
QMAKE_POST_LINK = $${DEPLOY_COMMAND} $${DEPLOY_TARGET}

#INSTALLS += LibFiles

OTHER_FILES += \
    shader/passthrough.vert

DISTFILES += \
    shader/alpha.frag \
    shader/hue.frag \
    readme.md
