/** File reader helper class from Vis 1.
 *  @author Julian Strohmayer 01426125 <e1426125@student.tuwien.ac.at>
 *  @author Patrick Gantner 01576033 <e1576033@student.tuwien.ac.at>
 *  @date 05.06.2018
 */

#ifndef FILEREADER_H
#define FILEREADER_H
/**
*  @file FileReader.h
*  @brief File reader functionality
*/

#include <string>

/**
 * @brief readFile reads the content of a file and returns it as string.
 * @param filePath location of the file
 * @param error indicator bit
 * @return content of file
 */
std::string readFile(const std::string& filePath, size_t& error);

#endif
